JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions
juce_OpenGLGraphicsContext.h File Reference

## Classes
struct | OpenGLGraphicsContextCustomShader
| Used to create custom shaders for use with an openGL 2D rendering context. More...

## Functions
std::unique_ptr< LowLevelGraphicsContext > | createOpenGLGraphicsContext (OpenGLContext &, int width, int height)
| Creates a graphics context object that will render into the given OpenGL target.
std::unique_ptr< LowLevelGraphicsContext > | createOpenGLGraphicsContext (OpenGLContext &, OpenGLFrameBuffer &)
| Creates a graphics context object that will render into the given OpenGL framebuffer.
std::unique_ptr< LowLevelGraphicsContext > | createOpenGLGraphicsContext (OpenGLContext &, unsigned int frameBufferID, int width, int height)
| Creates a graphics context object that will render into the given OpenGL framebuffer, with the given size.